CVE-2017-15370 (retired)

Priority
Description
There is a heap-based buffer overflow in the ImaExpandS function of
ima_rw.c in Sound eXchange (SoX) 14.4.2. A Crafted input will lead to a
denial of service attack during conversion of an audio file.
Package
Source: sox (LP Ubuntu Debian)
Upstream:released (14.4.2-2)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):released (14.4.1-3ubuntu1.1)
Ubuntu 16.04 LTS (Xenial Xerus):released (14.4.1-5ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):not-affected (14.4.2-3)
Ubuntu 18.10 (Cosmic Cuttlefish):not-affected (14.4.2-3)
Ubuntu 19.04 (Disco Dingo):not-affected (14.4.2-3)
More Information

Updated: 2019-03-26 12:25:12 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)